Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## gl4java
Interface GLUEnum

All Known Subinterfaces:
  GLEventListener, GLUFunc, GLUFunc14

All Known Implementing Classes:
  GLOffScreenDrawable, GLCanvas, GLJPanel, GLUTFuncLightImpl, GLUTFuncLightImplWithFonts, TextureTool, TextureGrabber

public interface GLUEnum

The base interface for GLU enumerates, which provides you all the C-API style enumerates

Version:
  2.00, 21. April 1999
Author:
  Sven Goethel

Field Summary
`static int` | `GLU_AUTO_LOAD_MATRIX` C2J Parser Version 3.0 Jausoft - Sven Goethel Software Development Reading from file: glu-enum-auto.orig.h .
`static int` | `GLU_BEGIN`
`static int` | `GLU_CCW`
`static int` | `GLU_CULLING`
`static int` | `GLU_CW`
`static int` | `GLU_DISPLAY_MODE`
`static int` | `GLU_DOMAIN_DISTANCE`
`static int` | `GLU_EDGE_FLAG`
`static int` | `GLU_END`
`static int` | `GLU_ERROR`
`static int` | `GLU_EXTENSIONS`
`static int` | `GLU_EXTERIOR`
`static int` | `GLU_FALSE`
`static int` | `GLU_FILL`
`static int` | `GLU_FLAT`
`static int` | `GLU_INSIDE`
`static int` | `GLU_INTERIOR`
`static int` | `GLU_INVALID_ENUM`
`static int` | `GLU_INVALID_OPERATION`
`static int` | `GLU_INVALID_VALUE`
`static int` | `GLU_LINE`
`static int` | `GLU_MAP1_TRIM_2`
`static int` | `GLU_MAP1_TRIM_3`
`static int` | `GLU_NONE`
`static int` | `GLU_NURBS_BEGIN`
`static int` | `GLU_NURBS_BEGIN_DATA`
`static int` | `GLU_NURBS_BEGIN_DATA_EXT`
`static int` | `GLU_NURBS_BEGIN_EXT`
`static int` | `GLU_NURBS_COLOR`
`static int` | `GLU_NURBS_COLOR_DATA`
`static int` | `GLU_NURBS_COLOR_DATA_EXT`
`static int` | `GLU_NURBS_COLOR_EXT`
`static int` | `GLU_NURBS_END`
`static int` | `GLU_NURBS_END_DATA`
`static int` | `GLU_NURBS_END_DATA_EXT`
`static int` | `GLU_NURBS_END_EXT`
`static int` | `GLU_NURBS_ERROR`
`static int` | `GLU_NURBS_ERROR1`
`static int` | `GLU_NURBS_ERROR10`
`static int` | `GLU_NURBS_ERROR11`
`static int` | `GLU_NURBS_ERROR12`
`static int` | `GLU_NURBS_ERROR13`
`static int` | `GLU_NURBS_ERROR14`
`static int` | `GLU_NURBS_ERROR15`
`static int` | `GLU_NURBS_ERROR16`
`static int` | `GLU_NURBS_ERROR17`
`static int` | `GLU_NURBS_ERROR18`
`static int` | `GLU_NURBS_ERROR19`
`static int` | `GLU_NURBS_ERROR2`
`static int` | `GLU_NURBS_ERROR20`
`static int` | `GLU_NURBS_ERROR21`
`static int` | `GLU_NURBS_ERROR22`
`static int` | `GLU_NURBS_ERROR23`
`static int` | `GLU_NURBS_ERROR24`
`static int` | `GLU_NURBS_ERROR25`
`static int` | `GLU_NURBS_ERROR26`
`static int` | `GLU_NURBS_ERROR27`
`static int` | `GLU_NURBS_ERROR28`
`static int` | `GLU_NURBS_ERROR29`
`static int` | `GLU_NURBS_ERROR3`
`static int` | `GLU_NURBS_ERROR30`
`static int` | `GLU_NURBS_ERROR31`
`static int` | `GLU_NURBS_ERROR32`
`static int` | `GLU_NURBS_ERROR33`
`static int` | `GLU_NURBS_ERROR34`
`static int` | `GLU_NURBS_ERROR35`
`static int` | `GLU_NURBS_ERROR36`
`static int` | `GLU_NURBS_ERROR37`
`static int` | `GLU_NURBS_ERROR4`
`static int` | `GLU_NURBS_ERROR5`
`static int` | `GLU_NURBS_ERROR6`
`static int` | `GLU_NURBS_ERROR7`
`static int` | `GLU_NURBS_ERROR8`
`static int` | `GLU_NURBS_ERROR9`
`static int` | `GLU_NURBS_MODE`
`static int` | `GLU_NURBS_MODE_EXT`
`static int` | `GLU_NURBS_NORMAL`
`static int` | `GLU_NURBS_NORMAL_DATA`
`static int` | `GLU_NURBS_NORMAL_DATA_EXT`
`static int` | `GLU_NURBS_NORMAL_EXT`
`static int` | `GLU_NURBS_RENDERER`
`static int` | `GLU_NURBS_RENDERER_EXT`
`static int` | `GLU_NURBS_TESSELLATOR`
`static int` | `GLU_NURBS_TESSELLATOR_EXT`
`static int` | `GLU_NURBS_TEX_COORD_DATA_EXT`
`static int` | `GLU_NURBS_TEX_COORD_EXT`
`static int` | `GLU_NURBS_TEXTURE_COORD`
`static int` | `GLU_NURBS_TEXTURE_COORD_DATA`
`static int` | `GLU_NURBS_VERTEX`
`static int` | `GLU_NURBS_VERTEX_DATA`
`static int` | `GLU_NURBS_VERTEX_DATA_EXT`
`static int` | `GLU_NURBS_VERTEX_EXT`
`static int` | `GLU_OBJECT_PARAMETRIC_ERROR`
`static int` | `GLU_OBJECT_PARAMETRIC_ERROR_EXT`
`static int` | `GLU_OBJECT_PATH_LENGTH`
`static int` | `GLU_OBJECT_PATH_LENGTH_EXT`
`static int` | `GLU_OUT_OF_MEMORY`
`static int` | `GLU_OUTLINE_PATCH`
`static int` | `GLU_OUTLINE_POLYGON`
`static int` | `GLU_OUTSIDE`
`static int` | `GLU_PARAMETRIC_ERROR`
`static int` | `GLU_PARAMETRIC_TOLERANCE`
`static int` | `GLU_PATH_LENGTH`
`static int` | `GLU_POINT`
`static int` | `GLU_SAMPLING_METHOD`
`static int` | `GLU_SAMPLING_TOLERANCE`
`static int` | `GLU_SILHOUETTE`
`static int` | `GLU_SMOOTH`
`static int` | `GLU_TESS_BEGIN`
`static int` | `GLU_TESS_BEGIN_DATA`
`static int` | `GLU_TESS_BOUNDARY_ONLY`
`static int` | `GLU_TESS_COMBINE`
`static int` | `GLU_TESS_COMBINE_DATA`
`static int` | `GLU_TESS_COORD_TOO_LARGE`
`static int` | `GLU_TESS_EDGE_FLAG`
`static int` | `GLU_TESS_EDGE_FLAG_DATA`
`static int` | `GLU_TESS_END`
`static int` | `GLU_TESS_END_DATA`
`static int` | `GLU_TESS_ERROR`
`static int` | `GLU_TESS_ERROR_DATA`
`static int` | `GLU_TESS_ERROR1`
`static int` | `GLU_TESS_ERROR2`
`static int` | `GLU_TESS_ERROR3`
`static int` | `GLU_TESS_ERROR4`
`static int` | `GLU_TESS_ERROR5`
`static int` | `GLU_TESS_ERROR6`
`static int` | `GLU_TESS_ERROR7`
`static int` | `GLU_TESS_ERROR8`
`static double` | `GLU_TESS_MAX_COORD`
`static int` | `GLU_TESS_MISSING_BEGIN_CONTOUR`
`static int` | `GLU_TESS_MISSING_BEGIN_POLYGON`
`static int` | `GLU_TESS_MISSING_END_CONTOUR`
`static int` | `GLU_TESS_MISSING_END_POLYGON`
`static int` | `GLU_TESS_NEED_COMBINE_CALLBACK`
`static int` | `GLU_TESS_TOLERANCE`
`static int` | `GLU_TESS_VERTEX`
`static int` | `GLU_TESS_VERTEX_DATA`
`static int` | `GLU_TESS_WINDING_ABS_GEQ_TWO`
`static int` | `GLU_TESS_WINDING_NEGATIVE`
`static int` | `GLU_TESS_WINDING_NONZERO`
`static int` | `GLU_TESS_WINDING_ODD`
`static int` | `GLU_TESS_WINDING_POSITIVE`
`static int` | `GLU_TESS_WINDING_RULE`
`static int` | `GLU_U_STEP`
`static int` | `GLU_UNKNOWN`
`static int` | `GLU_V_STEP`
`static int` | `GLU_VERSION`
`static int` | `GLU_VERTEX`

Field Detail

### GLU_TESS_MAX_COORD

    public static final double GLU_TESS_MAX_COORD

### GLU_AUTO_LOAD_MATRIX

    public static final int GLU_AUTO_LOAD_MATRIX

  C2J Parser Version 3.0 Jausoft - Sven Goethel Software Development Reading from file: glu-enum-auto.orig.h . . . Destination-Class: gl4java_GLUEnum !

### GLU_BEGIN

    public static final int GLU_BEGIN

### GLU_CCW

    public static final int GLU_CCW

### GLU_CULLING

    public static final int GLU_CULLING

### GLU_CW

    public static final int GLU_CW

### GLU_DISPLAY_MODE

    public static final int GLU_DISPLAY_MODE

### GLU_DOMAIN_DISTANCE

    public static final int GLU_DOMAIN_DISTANCE

### GLU_EDGE_FLAG

    public static final int GLU_EDGE_FLAG

### GLU_END

    public static final int GLU_END

### GLU_ERROR

    public static final int GLU_ERROR

### GLU_EXTENSIONS

    public static final int GLU_EXTENSIONS

### GLU_EXTERIOR

    public static final int GLU_EXTERIOR

### GLU_FALSE

    public static final int GLU_FALSE

### GLU_FILL

    public static final int GLU_FILL

### GLU_FLAT

    public static final int GLU_FLAT

### GLU_INSIDE

    public static final int GLU_INSIDE

### GLU_INTERIOR

    public static final int GLU_INTERIOR

### GLU_INVALID_ENUM

    public static final int GLU_INVALID_ENUM

### GLU_INVALID_OPERATION

    public static final int GLU_INVALID_OPERATION

### GLU_INVALID_VALUE

    public static final int GLU_INVALID_VALUE

### GLU_LINE

    public static final int GLU_LINE

### GLU_MAP1_TRIM_2

    public static final int GLU_MAP1_TRIM_2

### GLU_MAP1_TRIM_3

    public static final int GLU_MAP1_TRIM_3

### GLU_NONE

    public static final int GLU_NONE

### GLU_NURBS_BEGIN

    public static final int GLU_NURBS_BEGIN

### GLU_NURBS_BEGIN_DATA

    public static final int GLU_NURBS_BEGIN_DATA

### GLU_NURBS_BEGIN_DATA_EXT

    public static final int GLU_NURBS_BEGIN_DATA_EXT

### GLU_NURBS_BEGIN_EXT

    public static final int GLU_NURBS_BEGIN_EXT

### GLU_NURBS_COLOR

    public static final int GLU_NURBS_COLOR

### GLU_NURBS_COLOR_DATA

    public static final int GLU_NURBS_COLOR_DATA

### GLU_NURBS_COLOR_DATA_EXT

    public static final int GLU_NURBS_COLOR_DATA_EXT

### GLU_NURBS_COLOR_EXT

    public static final int GLU_NURBS_COLOR_EXT

### GLU_NURBS_END

    public static final int GLU_NURBS_END

### GLU_NURBS_END_DATA

    public static final int GLU_NURBS_END_DATA

### GLU_NURBS_END_DATA_EXT

    public static final int GLU_NURBS_END_DATA_EXT

### GLU_NURBS_END_EXT

    public static final int GLU_NURBS_END_EXT

### GLU_NURBS_ERROR

    public static final int GLU_NURBS_ERROR

### GLU_NURBS_ERROR1

    public static final int GLU_NURBS_ERROR1

### GLU_NURBS_ERROR10

    public static final int GLU_NURBS_ERROR10

### GLU_NURBS_ERROR11

    public static final int GLU_NURBS_ERROR11

### GLU_NURBS_ERROR12

    public static final int GLU_NURBS_ERROR12

### GLU_NURBS_ERROR13

    public static final int GLU_NURBS_ERROR13

### GLU_NURBS_ERROR14

    public static final int GLU_NURBS_ERROR14

### GLU_NURBS_ERROR15

    public static final int GLU_NURBS_ERROR15

### GLU_NURBS_ERROR16

    public static final int GLU_NURBS_ERROR16

### GLU_NURBS_ERROR17

    public static final int GLU_NURBS_ERROR17

### GLU_NURBS_ERROR18

    public static final int GLU_NURBS_ERROR18

### GLU_NURBS_ERROR19

    public static final int GLU_NURBS_ERROR19

### GLU_NURBS_ERROR2

    public static final int GLU_NURBS_ERROR2

### GLU_NURBS_ERROR20

    public static final int GLU_NURBS_ERROR20

### GLU_NURBS_ERROR21

    public static final int GLU_NURBS_ERROR21

### GLU_NURBS_ERROR22

    public static final int GLU_NURBS_ERROR22

### GLU_NURBS_ERROR23

    public static final int GLU_NURBS_ERROR23

### GLU_NURBS_ERROR24

    public static final int GLU_NURBS_ERROR24

### GLU_NURBS_ERROR25

    public static final int GLU_NURBS_ERROR25

### GLU_NURBS_ERROR26

    public static final int GLU_NURBS_ERROR26

### GLU_NURBS_ERROR27

    public static final int GLU_NURBS_ERROR27

### GLU_NURBS_ERROR28

    public static final int GLU_NURBS_ERROR28

### GLU_NURBS_ERROR29

    public static final int GLU_NURBS_ERROR29

### GLU_NURBS_ERROR3

    public static final int GLU_NURBS_ERROR3

### GLU_NURBS_ERROR30

    public static final int GLU_NURBS_ERROR30

### GLU_NURBS_ERROR31

    public static final int GLU_NURBS_ERROR31

### GLU_NURBS_ERROR32

    public static final int GLU_NURBS_ERROR32

### GLU_NURBS_ERROR33

    public static final int GLU_NURBS_ERROR33

### GLU_NURBS_ERROR34

    public static final int GLU_NURBS_ERROR34

### GLU_NURBS_ERROR35

    public static final int GLU_NURBS_ERROR35

### GLU_NURBS_ERROR36

    public static final int GLU_NURBS_ERROR36

### GLU_NURBS_ERROR37

    public static final int GLU_NURBS_ERROR37

### GLU_NURBS_ERROR4

    public static final int GLU_NURBS_ERROR4

### GLU_NURBS_ERROR5

    public static final int GLU_NURBS_ERROR5

### GLU_NURBS_ERROR6

    public static final int GLU_NURBS_ERROR6

### GLU_NURBS_ERROR7

    public static final int GLU_NURBS_ERROR7

### GLU_NURBS_ERROR8

    public static final int GLU_NURBS_ERROR8

### GLU_NURBS_ERROR9

    public static final int GLU_NURBS_ERROR9

### GLU_NURBS_MODE

    public static final int GLU_NURBS_MODE

### GLU_NURBS_MODE_EXT

    public static final int GLU_NURBS_MODE_EXT

### GLU_NURBS_NORMAL

    public static final int GLU_NURBS_NORMAL

### GLU_NURBS_NORMAL_DATA

    public static final int GLU_NURBS_NORMAL_DATA

### GLU_NURBS_NORMAL_DATA_EXT

    public static final int GLU_NURBS_NORMAL_DATA_EXT

### GLU_NURBS_NORMAL_EXT

    public static final int GLU_NURBS_NORMAL_EXT

### GLU_NURBS_RENDERER

    public static final int GLU_NURBS_RENDERER

### GLU_NURBS_RENDERER_EXT

    public static final int GLU_NURBS_RENDERER_EXT

### GLU_NURBS_TESSELLATOR

    public static final int GLU_NURBS_TESSELLATOR

### GLU_NURBS_TESSELLATOR_EXT

    public static final int GLU_NURBS_TESSELLATOR_EXT

### GLU_NURBS_TEXTURE_COORD

    public static final int GLU_NURBS_TEXTURE_COORD

### GLU_NURBS_TEXTURE_COORD_DATA

    public static final int GLU_NURBS_TEXTURE_COORD_DATA

### GLU_NURBS_TEX_COORD_DATA_EXT

    public static final int GLU_NURBS_TEX_COORD_DATA_EXT

### GLU_NURBS_TEX_COORD_EXT

    public static final int GLU_NURBS_TEX_COORD_EXT

### GLU_NURBS_VERTEX

    public static final int GLU_NURBS_VERTEX

### GLU_NURBS_VERTEX_DATA

    public static final int GLU_NURBS_VERTEX_DATA

### GLU_NURBS_VERTEX_DATA_EXT

    public static final int GLU_NURBS_VERTEX_DATA_EXT

### GLU_NURBS_VERTEX_EXT

    public static final int GLU_NURBS_VERTEX_EXT

### GLU_OBJECT_PARAMETRIC_ERROR

    public static final int GLU_OBJECT_PARAMETRIC_ERROR

### GLU_OBJECT_PARAMETRIC_ERROR_EXT

    public static final int GLU_OBJECT_PARAMETRIC_ERROR_EXT

### GLU_OBJECT_PATH_LENGTH

    public static final int GLU_OBJECT_PATH_LENGTH

### GLU_OBJECT_PATH_LENGTH_EXT

    public static final int GLU_OBJECT_PATH_LENGTH_EXT

### GLU_OUTLINE_PATCH

    public static final int GLU_OUTLINE_PATCH

### GLU_OUTLINE_POLYGON

    public static final int GLU_OUTLINE_POLYGON

### GLU_OUTSIDE

    public static final int GLU_OUTSIDE

### GLU_OUT_OF_MEMORY

    public static final int GLU_OUT_OF_MEMORY

### GLU_PARAMETRIC_ERROR

    public static final int GLU_PARAMETRIC_ERROR

### GLU_PARAMETRIC_TOLERANCE

    public static final int GLU_PARAMETRIC_TOLERANCE

### GLU_PATH_LENGTH

    public static final int GLU_PATH_LENGTH

### GLU_POINT

    public static final int GLU_POINT

### GLU_SAMPLING_METHOD

    public static final int GLU_SAMPLING_METHOD

### GLU_SAMPLING_TOLERANCE

    public static final int GLU_SAMPLING_TOLERANCE

### GLU_SILHOUETTE

    public static final int GLU_SILHOUETTE

### GLU_SMOOTH

    public static final int GLU_SMOOTH

### GLU_TESS_BEGIN

    public static final int GLU_TESS_BEGIN

### GLU_TESS_BEGIN_DATA

    public static final int GLU_TESS_BEGIN_DATA

### GLU_TESS_BOUNDARY_ONLY

    public static final int GLU_TESS_BOUNDARY_ONLY

### GLU_TESS_COMBINE

    public static final int GLU_TESS_COMBINE

### GLU_TESS_COMBINE_DATA

    public static final int GLU_TESS_COMBINE_DATA

### GLU_TESS_COORD_TOO_LARGE

    public static final int GLU_TESS_COORD_TOO_LARGE

### GLU_TESS_EDGE_FLAG

    public static final int GLU_TESS_EDGE_FLAG

### GLU_TESS_EDGE_FLAG_DATA

    public static final int GLU_TESS_EDGE_FLAG_DATA

### GLU_TESS_END

    public static final int GLU_TESS_END

### GLU_TESS_END_DATA

    public static final int GLU_TESS_END_DATA

### GLU_TESS_ERROR

    public static final int GLU_TESS_ERROR

### GLU_TESS_ERROR1

    public static final int GLU_TESS_ERROR1

### GLU_TESS_ERROR2

    public static final int GLU_TESS_ERROR2

### GLU_TESS_ERROR3

    public static final int GLU_TESS_ERROR3

### GLU_TESS_ERROR4

    public static final int GLU_TESS_ERROR4

### GLU_TESS_ERROR5

    public static final int GLU_TESS_ERROR5

### GLU_TESS_ERROR6

    public static final int GLU_TESS_ERROR6

### GLU_TESS_ERROR7

    public static final int GLU_TESS_ERROR7

### GLU_TESS_ERROR8

    public static final int GLU_TESS_ERROR8

### GLU_TESS_ERROR_DATA

    public static final int GLU_TESS_ERROR_DATA

### GLU_TESS_MISSING_BEGIN_CONTOUR

    public static final int GLU_TESS_MISSING_BEGIN_CONTOUR

### GLU_TESS_MISSING_BEGIN_POLYGON

    public static final int GLU_TESS_MISSING_BEGIN_POLYGON

### GLU_TESS_MISSING_END_CONTOUR

    public static final int GLU_TESS_MISSING_END_CONTOUR

### GLU_TESS_MISSING_END_POLYGON

    public static final int GLU_TESS_MISSING_END_POLYGON

### GLU_TESS_NEED_COMBINE_CALLBACK

    public static final int GLU_TESS_NEED_COMBINE_CALLBACK

### GLU_TESS_TOLERANCE

    public static final int GLU_TESS_TOLERANCE

### GLU_TESS_VERTEX

    public static final int GLU_TESS_VERTEX

### GLU_TESS_VERTEX_DATA

    public static final int GLU_TESS_VERTEX_DATA

### GLU_TESS_WINDING_ABS_GEQ_TWO

    public static final int GLU_TESS_WINDING_ABS_GEQ_TWO

### GLU_TESS_WINDING_NEGATIVE

    public static final int GLU_TESS_WINDING_NEGATIVE

### GLU_TESS_WINDING_NONZERO

    public static final int GLU_TESS_WINDING_NONZERO

### GLU_TESS_WINDING_ODD

    public static final int GLU_TESS_WINDING_ODD

### GLU_TESS_WINDING_POSITIVE

    public static final int GLU_TESS_WINDING_POSITIVE

### GLU_TESS_WINDING_RULE

    public static final int GLU_TESS_WINDING_RULE

### GLU_UNKNOWN

    public static final int GLU_UNKNOWN

### GLU_U_STEP

    public static final int GLU_U_STEP

### GLU_VERSION

    public static final int GLU_VERSION

### GLU_VERTEX

    public static final int GLU_VERTEX

### GLU_V_STEP

    public static final int GLU_V_STEP

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD